{
    "objects": [
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"query\": \"\", \"language\": \"kuery\"}, \"filter\": []}"
                },
                "title": "Navigation [Packetbeat] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"aggs\": [], \"title\": \"Navigation [Packetbeat] ECS\", \"params\": {\"markdown\": \"### Packetbeat:\\n\\n[Overview](#/dashboard/Packetbeat-Dashboard-ecs)\\n\\n[Network Flows](#/dashboard/Packetbeat-Flows-ecs)\\n\\n[DNS Overview](#/dashboard/65120940-1454-11e9-9de0-f98d1808db8e-ecs) | [Tunneling](#/dashboard/DNS-Unique-Domains-ecs)\\n\\n[DHCPv4 Transactions](#/dashboard/a7b35890-8baa-11e8-9676-ef67484126fb-ecs)\\n\\n[TLS Overview](#/dashboard/tls-sessions-ecs)\\n\\n[HTTP transactions](#/dashboard/Packetbeat-HTTP-ecs)\\n\\nDatabases: [MySQL](#/dashboard/Packetbeat-MySQL-performance-ecs) | [PostgreSQL](#/dashboard/Packetbeat-PgSQL-performance-ecs) | [MongoDB](#/dashboard/Packetbeat-MongoDB-performance-ecs) | [Cassandra](#/dashboard/Packetbeat-Cassandra-ecs)\\n\\nRPC: [Thrift](#/dashboard/Packetbeat-Thrift-performance-ecs)\\n\\nStorage: [NFS](#/dashboard/Packetbeat-NFS-ecs)\", \"fontSize\": 10, \"openLinksInNewTab\": false}, \"type\": \"markdown\"}"
            },
            "id": "Navigation-ecs",
            "type": "visualization",
            "updated_at": "2019-01-19T00:18:59.372Z",
            "version": 11
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"filter\": []}"
                },
                "savedSearchId": "Thrift-transactions-ecs",
                "title": "Thrift requests per minute [Packetbeat] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"aggs\": [{\"schema\": \"metric\", \"params\": {}, \"id\": \"1\", \"type\": \"count\"}, {\"schema\": \"segment\", \"params\": {\"customInterval\": \"2h\", \"field\": \"@timestamp\", \"extended_bounds\": {}, \"min_doc_count\": 1, \"interval\": \"m\"}, \"id\": \"2\", \"type\": \"date_histogram\"}], \"title\": \"Thrift requests per minute ECS\", \"type\": \"histogram\", \"params\": {\"defaultYExtents\": false, \"mode\": \"stacked\", \"addTooltip\": true, \"setYExtents\": false, \"yAxis\": {}, \"addLegend\": false, \"addTimeMarker\": false, \"shareYAxis\": true, \"times\": [], \"scale\": \"linear\"}, \"listeners\": {}}"
            },
            "id": "Thrift-requests-per-minute-ecs",
            "type": "visualization",
            "updated_at": "2019-01-18T23:49:32.418Z",
            "version": 1
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"filter\": []}"
                },
                "savedSearchId": "Thrift-errors-ecs",
                "title": "Thrift RPC Errors [Packetbeat] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"aggs\": [{\"schema\": \"metric\", \"params\": {}, \"id\": \"1\", \"type\": \"count\"}, {\"schema\": \"segment\", \"params\": {\"customInterval\": \"2h\", \"field\": \"@timestamp\", \"extended_bounds\": {}, \"min_doc_count\": 1, \"interval\": \"auto\"}, \"id\": \"2\", \"type\": \"date_histogram\"}], \"title\": \"Thrift RPC Errors ECS\", \"type\": \"area\", \"params\": {\"mode\": \"stacked\", \"setYExtents\": false, \"addLegend\": false, \"addTimeMarker\": false, \"shareYAxis\": true, \"interpolate\": \"linear\", \"defaultYExtents\": false, \"addTooltip\": true, \"yAxis\": {}, \"smoothLines\": false, \"times\": [], \"scale\": \"linear\"}, \"listeners\": {}}"
            },
            "id": "Thrift-RPC-Errors-ecs",
            "type": "visualization",
            "updated_at": "2019-01-18T23:49:32.418Z",
            "version": 1
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"query\": \"\", \"language\": \"kuery\"}, \"filter\": []}"
                },
                "savedSearchId": "Thrift-transactions-ecs",
                "title": "Slowest Thrift RPC methods [Packetbeat] ECS",
                "uiStateJSON": "{\"vis\": {\"params\": {\"sort\": {\"columnIndex\": null, \"direction\": null}}}}",
                "version": 1,
                "visState": "{\"aggs\": [{\"schema\": \"metric\", \"enabled\": true, \"params\": {\"field\": \"event.duration\"}, \"id\": \"1\", \"type\": \"avg\"}, {\"schema\": \"bucket\", \"enabled\": true, \"params\": {\"size\": 10, \"field\": \"method\", \"otherBucketLabel\": \"Other\", \"orderBy\": \"1\", \"missingBucketLabel\": \"Missing\", \"otherBucket\": false, \"order\": \"desc\", \"missingBucket\": false}, \"id\": \"2\", \"type\": \"terms\"}], \"title\": \"Slowest Thrift RPC methods [Packetbeat] ECS\", \"params\": {\"sort\": {\"columnIndex\": null, \"direction\": null}, \"showMetricsAtAllLevels\": false, \"showTotal\": false, \"showPartialRows\": false, \"totalFunc\": \"sum\", \"perPage\": 10}, \"type\": \"table\"}"
            },
            "id": "Slowest-Thrift-RPC-methods-ecs",
            "type": "visualization",
            "updated_at": "2019-01-18T23:49:32.418Z",
            "version": 1
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"query\": \"\", \"language\": \"kuery\"}, \"filter\": []}"
                },
                "savedSearchId": "Thrift-transactions-ecs",
                "title": "Thrift response times percentiles [Packetbeat] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"aggs\": [{\"schema\": \"metric\", \"enabled\": true, \"params\": {\"field\": \"event.duration\", \"percents\": [75, 99, 99.5]}, \"id\": \"1\", \"type\": \"percentiles\"}, {\"schema\": \"segment\", \"enabled\": true, \"params\": {\"useNormalizedEsInterval\": true, \"field\": \"@timestamp\", \"extended_bounds\": {}, \"min_doc_count\": 1, \"customInterval\": \"2h\", \"drop_partials\": false, \"interval\": \"auto\"}, \"id\": \"2\", \"type\": \"date_histogram\"}], \"title\": \"Thrift response times percentiles [Packetbeat] ECS\", \"params\": {\"valueAxes\": [{\"show\": true, \"id\": \"ValueAxis-1\", \"title\": {\"text\": \"Percentiles of event.duration\"}, \"name\": \"LeftAxis-1\", \"labels\": {\"truncate\": 100, \"rotate\": 0, \"show\": true, \"filter\": false}, \"style\": {}, \"type\": \"value\", \"position\": \"left\", \"scale\": {\"defaultYExtents\": false, \"mode\": \"normal\", \"type\": \"linear\", \"setYExtents\": false}}], \"addLegend\": true, \"addTimeMarker\": false, \"shareYAxis\": true, \"defaultYExtents\": false, \"legendPosition\": \"right\", \"addTooltip\": true, \"seriesParams\": [{\"mode\": \"normal\", \"valueAxis\": \"ValueAxis-1\", \"type\": \"line\", \"show\": \"true\", \"data\": {\"label\": \"Percentiles of event.duration\", \"id\": \"1\"}}], \"grid\": {\"style\": {\"color\": \"#eee\"}, \"categoryLines\": false}, \"categoryAxes\": [{\"show\": true, \"id\": \"CategoryAxis-1\", \"title\": {}, \"labels\": {\"truncate\": 100, \"show\": true}, \"style\": {}, \"type\": \"category\", \"position\": \"bottom\", \"scale\": {\"type\": \"linear\"}}], \"times\": [], \"type\": \"line\"}, \"type\": \"line\"}"
            },
            "id": "Thrift-response-times-percentiles-ecs",
            "type": "visualization",
            "updated_at": "2019-01-18T23:49:32.418Z",
            "version": 1
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"filter\": []}"
                },
                "savedSearchId": "Thrift-transactions-ecs",
                "title": "Top Thrift-RPC methods  [Packetbeat] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"aggs\": [{\"schema\": \"metric\", \"params\": {}, \"id\": \"1\", \"type\": \"count\"}, {\"schema\": \"segment\", \"params\": {\"size\": 5, \"orderBy\": \"1\", \"field\": \"method\", \"order\": \"desc\"}, \"id\": \"2\", \"type\": \"terms\"}], \"title\": \"Top Thrift-RPC methods ECS\", \"type\": \"histogram\", \"params\": {\"defaultYExtents\": false, \"mode\": \"stacked\", \"addTooltip\": true, \"setYExtents\": false, \"yAxis\": {}, \"addLegend\": false, \"addTimeMarker\": false, \"shareYAxis\": true, \"times\": [], \"scale\": \"linear\"}, \"listeners\": {}}"
            },
            "id": "Top-Thrift-RPC-methods-ecs",
            "type": "visualization",
            "updated_at": "2019-01-18T23:49:32.418Z",
            "version": 1
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"filter\": []}"
                },
                "savedSearchId": "Thrift-errors-ecs",
                "title": "Top Thrift-RPC calls with errors [Packetbeat] ECS",
                "version": 1,
                "visState": "{\"aggs\": [{\"schema\": \"metric\", \"params\": {}, \"id\": \"1\", \"type\": \"count\"}, {\"schema\": \"segment\", \"params\": {\"size\": 5, \"orderBy\": \"1\", \"field\": \"method\", \"order\": \"desc\"}, \"id\": \"2\", \"type\": \"terms\"}], \"type\": \"histogram\", \"params\": {\"defaultYExtents\": false, \"addLegend\": false, \"shareYAxis\": true, \"addTooltip\": true, \"mode\": \"stacked\"}, \"listeners\": {}}"
            },
            "id": "Top-Thrift-RPC-calls-with-errors-ecs",
            "type": "visualization",
            "updated_at": "2019-01-18T23:49:32.418Z",
            "version": 1
        },
        {
            "attributes": {
                "columns": [
                    "method",
                    "type",
                    "path",
                    "event.duration",
                    "status"
                ],
                "description": "",
                "hits": 0,
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"index\": \"packetbeat-*\", \"version\": true, \"highlightAll\": true, \"query\": {\"query\": \"type: thrift\", \"language\": \"kuery\"}, \"highlight\": {\"pre_tags\": [\"@kibana-highlighted-field@\"], \"fields\": {\"*\": {}}, \"post_tags\": [\"@/kibana-highlighted-field@\"]}, \"filter\": [{\"query\": {\"match\": {\"event.dataset\": {\"query\": \"thrift\", \"type\": \"phrase\"}}}, \"meta\": {\"index\": \"packetbeat-*\", \"negate\": false, \"key\": \"event.dataset\", \"type\": \"phrase\", \"params\": {\"query\": \"thrift\", \"type\": \"phrase\"}, \"value\": \"thrift\", \"alias\": null, \"disabled\": false}, \"$state\": {\"store\": \"appState\"}}]}"
                },
                "sort": [
                    "@timestamp",
                    "desc"
                ],
                "title": "Thrift Transactions Search [Packetbeat] ECS",
                "version": 1
            },
            "id": "Thrift-transactions-ecs",
            "type": "search",
            "updated_at": "2019-01-18T23:49:32.418Z",
            "version": 1
        },
        {
            "attributes": {
                "columns": [
                    "method",
                    "type",
                    "path",
                    "event.duration",
                    "status"
                ],
                "description": "",
                "hits": 0,
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"index\": \"packetbeat-*\", \"version\": true, \"highlightAll\": true, \"query\": {\"query\": \"type: thrift\", \"language\": \"kuery\"}, \"highlight\": {\"pre_tags\": [\"@kibana-highlighted-field@\"], \"fields\": {\"*\": {}}, \"post_tags\": [\"@/kibana-highlighted-field@\"]}, \"filter\": [{\"query\": {\"match\": {\"status\": {\"query\": \"OK\", \"type\": \"phrase\"}}}, \"meta\": {\"index\": \"packetbeat-*\", \"negate\": true, \"key\": \"status\", \"type\": \"phrase\", \"params\": {\"query\": \"OK\", \"type\": \"phrase\"}, \"value\": \"OK\", \"alias\": null, \"disabled\": false}, \"$state\": {\"store\": \"appState\"}}, {\"query\": {\"match\": {\"event.dataset\": {\"query\": \"thrift\", \"type\": \"phrase\"}}}, \"meta\": {\"index\": \"packetbeat-*\", \"negate\": false, \"key\": \"event.dataset\", \"type\": \"phrase\", \"params\": {\"query\": \"thrift\", \"type\": \"phrase\"}, \"value\": \"thrift\", \"alias\": null, \"disabled\": false}, \"$state\": {\"store\": \"appState\"}}]}"
                },
                "sort": [
                    "@timestamp",
                    "desc"
                ],
                "title": "Thrift Errors [Packetbeat] ECS",
                "version": 1
            },
            "id": "Thrift-errors-ecs",
            "type": "search",
            "updated_at": "2019-01-18T23:49:32.418Z",
            "version": 1
        },
        {
            "attributes": {
                "description": "",
                "hits": 0,
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"version\": true, \"query\": {\"query\": \"\", \"language\": \"kuery\"}, \"highlightAll\": true, \"filter\": []}"
                },
                "optionsJSON": "{\"darkTheme\": false}",
                "panelsJSON": "[{\"size_y\": 4, \"col\": 1, \"panelIndex\": 1, \"row\": 1, \"size_x\": 3, \"id\": \"Navigation-ecs\", \"type\": \"visualization\"}, {\"size_y\": 4, \"col\": 4, \"panelIndex\": 2, \"row\": 1, \"size_x\": 5, \"id\": \"Thrift-requests-per-minute-ecs\", \"type\": \"visualization\"}, {\"size_y\": 4, \"col\": 9, \"panelIndex\": 3, \"row\": 1, \"size_x\": 4, \"id\": \"Thrift-RPC-Errors-ecs\", \"type\": \"visualization\"}, {\"size_y\": 3, \"col\": 1, \"panelIndex\": 4, \"row\": 5, \"size_x\": 6, \"id\": \"Slowest-Thrift-RPC-methods-ecs\", \"type\": \"visualization\"}, {\"size_y\": 3, \"col\": 7, \"panelIndex\": 5, \"row\": 5, \"size_x\": 6, \"id\": \"Thrift-response-times-percentiles-ecs\", \"type\": \"visualization\"}, {\"size_y\": 4, \"col\": 1, \"panelIndex\": 6, \"row\": 8, \"size_x\": 6, \"id\": \"Top-Thrift-RPC-methods-ecs\", \"type\": \"visualization\"}, {\"size_y\": 4, \"col\": 7, \"panelIndex\": 7, \"row\": 8, \"size_x\": 6, \"id\": \"Top-Thrift-RPC-calls-with-errors-ecs\", \"type\": \"visualization\"}]",
                "timeRestore": false,
                "title": "[Packetbeat] Thrift performance ECS",
                "uiStateJSON": "{\"P-4\": {\"vis\": {\"params\": {\"sort\": {\"columnIndex\": null, \"direction\": null}}}}}",
                "version": 1
            },
            "id": "Packetbeat-Thrift-performance-ecs",
            "type": "dashboard",
            "updated_at": "2019-01-18T23:49:32.418Z",
            "version": 1
        }
    ],
    "version": "7.0.0-SNAPSHOT"
}